aboutsummaryrefslogtreecommitdiffstats
path: root/meta-ruby
Commit message (Collapse)AuthorAgeFilesLines
* meta-ruby: remove this now pretty empty layerMartin Jansa2017-08-314-179/+0
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* recipes: remove blacklisted recipesMartin Jansa2017-08-311-33/+0
| | | | | | | | * as PNBLACKLIST message says, these recipes are blacklisted for long time and nobody showed any interest to fix them * remove all unused .patch and .inc files as well Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* recipes: add removal date to PNBLACKLIST messagesMartin Jansa2017-04-051-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | * based on discussion in pndeprecated thread: https://patchwork.openembedded.org/patch/137573/ update the messages to warn possible users that the recipe will be removed before the end of the next development cycle (before Yocto 2.4 is released). * updated with: sed -i 's/^\(PNBLACKLIST.*".*\)"/\1 - the recipe will be removed on 2017-09-01 unless the issue is fixed"/g' `git grep PNBLACKLIST | sed 's/:.*//g' | sort -u | xargs` * then noticed couple recipes being blacklisted only based on DISTRO_FEATURES, so removed those: meta-networking/recipes-support/lksctp-tools/lksctp-tools_1.0.17.bb meta-oe/recipes-connectivity/bluez/bluez-hcidump_2.5.bb meta-oe/recipes-connectivity/bluez/bluez4_4.101.bb meta-oe/recipes-connectivity/bluez/gst-plugin-bluetooth_4.101.bb meta-oe/recipes-navigation/foxtrotgps/foxtrotgps_1.1.1.bb meta-oe/recipes-navigation/gypsy/gypsy.inc meta-oe/recipes-navigation/navit/navit.inc meta-oe/recipes-support/opensync/libsyncml_0.5.4.bb * if it isn't fixed by this date, it's fair game to be removed whenever someone gets around to i Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* python-edbus exquisite elementary libeweather unionfs-fuse xfsprogs gmtk ↵Martin Jansa2017-02-131-0/+2
| | | | | | | | | devilspie2 gnome-backgrounds gnome-desktop gnome-mime-data gtk-engines gtksourceview2 libgnomekbd libidl-native onboard libgpewidget ubi-utils-klibc kexec-tools-klibc gupnp-igd gupnp-tools dvb-apps gstreamer mpd crda netcat-openbsd wireshark gnokii libmbim mosh networkmanager-openvpn libtelepathy dbus-daemon-proxy libdbus-c++ php vala-dbus-binding-tool collectd libgxim pywbem gtkhtml2 fbida fontforge libsexy wayland-fits xstdcmap xf86-video-glamo font-adobe-100dpi font-adobe-utopia-100dpi font-bh-100dpi font-bh-lucidatypewriter-100dpi font-misc-misc crash a2jmidid libsdl2-mixer libsdl-mixer minidlna sylpheed libsdl2-ttf libsdl-ttf ode pidgin postgresql syslog-ng usb-modeswitch xdg-user-dirs gateone python3-cryptography-vectors python3-ndg-httpsclient python-cryptography-vectors python-pbr bundler netdata menulibre openzone xfce4-verve-plugin iperf terminus-font xf86-video-nouveau ipmiutil klibc-utils pmbw multipath-tools gparted, gnome-system-monitor, php, vala-dbus-binding-tool, gtkmathview, lmsensors, postgresql: Blacklist * fails repeatedly as reported in: http://lists.openembedded.org/pipermail/openembedded-devel/2017-February/111112.html Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ruby.bbclass: Fix usage with python3Martin Jansa2016-06-131-3/+3
| | | | | | | | | | * otherwise every recipe inheriting ruby fails with: WARNING: Exception during build_dependencies for GEM_HOME WARNING: Error during finalise of /home/jenkins/oe/world/shr-core/meta-openembedded/meta-ruby/recipes-devtools/ruby/bundler_git.bb ERROR: Failure expanding variable RUBY_GEM_VERSION, expression was ${@get_rubygemsversion("/home/jenkins/oe/world/shr-core/tmp-glibc/sysroots/x86_64-linux/usr/bin")} which triggered exception TypeError: can't use a string pattern on a bytes-like object ERROR: Task 22219 (/home/jenkins/oe/world/shr-core/meta-openembedded/meta-ruby/recipes-devtools/ruby/bundler_git.bb, do_fetch) failed with exit code '1' Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libgxim: move from meta-ruby back to meta-oeMartin Jansa2015-12-182-46/+0
| | | | | | | | | * it was moved to meta-ruby (totherer with imsettings which depends on libgxim) because of ruby-native dependency, now when ruby was moved from meta-ruby to oe-core we can move libgxim back to meta-oe (which also allows imsettings in meta-xfce to depend only on meta-oe as well) Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* imsettings: Move from meta-ruby to meta-xfceKhem Raj2015-12-184-70/+1
| | | | | | | | | | | | | | | | It depends on xfconf which is XFCE component, no one depends on imsettings in meta-ruby so move it close to its dependencies. Ideally, xfconf should be turned into PACKAGECONFIG and this recipe then moved to meta-oe since all kind of DE's can use it then. For now it frees meta-ruby from unnecessary dependency on xfce layer Change-Id: I6b5896b0db504fad49a9da5967d3493e27c627b0 Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* imsettings: add xfconf dependency and xfce-layer to LAYERDEPENDSMartin Jansa2015-11-162-2/+2
| | | | | | | | * this isn't optimal, but this issue was ignored by recipe author for too long: http://lists.openembedded.org/pipermail/openembedded-devel/2015-July/102253.html http://patchwork.openembedded.org/patch/86091/ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ruby: remove the recipe due to its move to oe-coreAlexander Kanavin2015-09-233-95/+0
| | | | | Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libgxim: inherit gettext to fix build error in a non-gplv3 build.Bian Naimeng2015-09-081-1/+1
| | | | | | | | | | | | | | configure.ac:18: warning: AM_NLS is m4_require'd but not m4_defun'd | aclocal.m4:2363: IT_PROG_INTLTOOL is expanded from... | aclocal.m4:2545: AC_PROG_INTLTOOL is expanded from... | configure.ac:18: the top level | configure:12119: error: possibly undefined macro: AM_NLS | If this token and others are legitimate, please use m4_pattern_allow. | See the Autoconf documentation. Signed-off-by: Bian Naimeng <biannm@cn.fujitsu.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* bundler: remove broad FILES definitionMark Asselstine2015-08-311-2/+0
| | | | | | | | | | | | | | | | | | This effectively reverts commit 4e8853ca05f797281469ae7c7ce0c0b3ccf0d7c1 [bundler: Fix QA new Error] The original QA error is now handled by changes to the ruby.bbclass to properly handle build_info and extensions directories that Ruby 2.0.0 now creates while installing gems. This revert isn't specifically required but by removing this broad definition of FILES the hope is that other ruby recipes won't copy this behavior which can actually lead to other QA errors/warnings, depending on what gets installed in the build_info and extensions directories. Signed-off-by: Mark Asselstine <mark.asselstine@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ruby.bbclass: handle new installation directoriesMark Asselstine2015-08-311-0/+6
| | | | | | | | | | | | | | | | | | | | | | | It appears that newer versions of ruby produce additional directories which were not previously handled by the ruby bbclass, specifically 'build_info' and 'extensions'. This is currently resulting in QA errors/warnings such as: ERROR: QA Issue: puppet: Files/directories were installed but not shipped in any package: /usr/lib64/ruby/gems/2.2.0/build_info /usr/lib64/ruby/gems/2.2.0/extensions Please set FILES such that these items are packaged. Alternatively if they are unneeded, avoid installing them or delete them within do_install. [installed-vs-shipped] Add these to our FILES in the bbclass such that they will packaged. NOTE: several files may exist in the extensions directory such as gem.build_complete and mkmf.log that we can most likely remove during do_install. Since ruby installs these by default they have been left in case their existence is used as some type of stampfile or similar. Signed-off-by: Mark Asselstine <mark.asselstine@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* imsettings: fix build error.Bian Naimeng2015-07-162-1/+23
| | | | | | | | | | multi-line ACLOCAL_AMFLAGS isn't supported by autoreconf, otherwise a configure error as follow will be caught. aclocal: error: non-option arguments are not accepted: '\'. Signed-off-by: Bian Naimeng <biannm@cn.fujitsu.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* imsettings: add new recipeBian Naimeng2015-06-232-0/+47
| | | | | | | imsettings is a delivery framework for general input-method configuration Signed-off-by: Bian Naimeng <biannm@cn.fujitsu.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* bundler: update to 1.9.4Armin Kuster2015-06-081-4/+6
| | | | | | | add depends for git. Signed-off-by: Armin Kuster <akuster808@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libgxim: fix world build issuesArmin Kuster2015-05-112-0/+46
| | | | | | | | | | | | | ERROR: Nothing PROVIDES 'ruby-native' (but /home/akuster/oss/clean/meta-openembedded/meta-oe/recipes-extended/libgxim/libgxim_0.5.0.bb DEPENDS on or otherwise requires it). Close matches: db-native bc-native byacc-native ERROR: Required build target 'libgxim' has no buildable providers. Missing or unbuildable dependency chain was: ['libgxim', 'ruby-native'] move libgxim from meta-oe to meta-ruby, it really belongs in meta-gir but it is un-maintained. Signed-off-by: Armin Kuster <akuster808@gmail.com>
* ruby: explicitly disable dtrace supportMartin Jansa2015-05-111-0/+1
| | | | | | | | | | | | | both 2.2.1 and 2.2.2 are failing on some hosts native builds with: | linking miniruby | load.o: In function `rb_f_load': | load.c:(.text+0x3af): undefined reference to `RUBY_DTRACE_LOAD_ENTRY_ENABLED' | load.c:(.text+0x428): undefined reference to `RUBY_DTRACE_LOAD_RETURN_ENABLED' | load.c:(.text+0x452): undefined reference to `RUBY_DTRACE_LOAD_RETURN' | load.c:(.text+0x492): undefined reference to `RUBY_DTRACE_LOAD_ENTRY' | load.o: In function `rb_require_internal': Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ruby: Update to 2.2.2Armin Kuster2015-05-111-3/+5
| | | | | | | | | | | | | Includes among other things: CVE-2015-1855: Ruby OpenSSL Hostname Verification for more info see: http://svn.ruby-lang.org/repos/ruby/tags/v2_2_2/ChangeLog also, fixed runtime error. only include "enable-wide-getaddrinfo" if IVP6 is enabled in disto feature otherwise 'gem install rails' throws an error for the missing symbol 'getipnodebyname'. Signed-off-by: Armin Kuster <akuster808@gmail.com>
* bundler: Fix QA new ErrorArmin Kuster2015-04-131-0/+2
| | | | | | | | | ERROR: QA Issue: bundler: Files/directories were installed but not shipped /usr/lib/ruby/gems/2.2.0/build_info /usr/lib/ruby/gems/2.2.0/extensions [installed-vs-shipped] Signed-off-by: Armin Kuster <akuster808@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* meta-ruby: README: update maintainerArmin Kuster2015-04-131-1/+1
| | | | | Signed-off-by: Armin Kuster <akuster808@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ruby: package update to verison 2.2.1Armin Kuster2015-04-1312-761/+9
| | | | | | | | | | | | | | | | | | | | | LIC_FILES_CHKSUM changes: BDSL: update copyright notice with "2013" GPL: update to GPLv2 LEGAL: added license info for ccan files dropped patches since they are now incorperated. several security fixes included: CVE-2014-2525 CVE-2014-0160 CVE-2014-2734 CVE-2014-8080 CVE-2014-8090 for addional information: http://svn.ruby-lang.org/repos/ruby/tags/v2_2_1/ChangeLog Signed-off-by: Armin Kuster <akuster808@gmail.com>
* meta-ruby: Add LAYERVERSION and LAYERDEPENDSJackie Huang2014-11-281-0/+6
| | | | | | | According to README, it depends on oe-core and openembedded-layer Signed-off-by: Jackie Huang <jackie.huang@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ruby-lang.org changed the subdomain/hostname of their download server.Chad Nelson2014-10-301-1/+1
| | | | | Signed-off-by: Chad Nelson <cnelson@agleader.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ruby: make build deterministic by adding PACKAGECONFIG for valgrindJackie Huang2014-10-271-0/+3
| | | | | | | | | * disabled by default * fixes: ruby/1.9.3-p547-r1.0/ruby-1.9.3-p547/gc.c:43:32:fatal error: valgrind/memcheck.h: No such file or directory Signed-off-by: Jackie Huang <jackie.huang@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ruby.inc: DEPEND on libyaml-nativeMark Asselstine2014-09-261-1/+1
| | | | | | | | | | | | Without this dependency we will see warnings when ever we use the ruby-native from the sysroot ...tmp/sysroots/x86_64-linux/usr/lib/ruby/yaml.rb:84:in `<top (required)>': It seems your ruby installation is missing psych (for YAML output). To eliminate this warning, please install libyaml and reinstall your ruby. Signed-off-by: Mark Asselstine <mark.asselstine@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ruby.bbclass: introduce a class to assist in building gemsMark Asselstine2014-09-262-0/+154
| | | | | | | | | | | | | | | | | | | | | | | | | | | | In order to allow the building of gems we have created a ruby.bbclass. The building of gems is much like the building of python packages in that we rely on building up -native gems in order to facilitate the cross compiling of the gems that will be built for the target. When dependencies exist between gems they must be satisfied by the -native gems installed in the host sysroot. This approach is feasible since the build process is able to query installed gems without being affected by the ARCH they were built for. At this point I have yet to come across a situation where the assumption associated with this approach have failed but so far focus has only been on x86 and x86-64 builds. The recipes which inherit the ruby.bbclass can optionally define a BPV in the case where the gemspec version doesn't always map 1:1 to the PV. This situation has only been encountered on a few occasions so the class has been made to default BPV to PV. To demonstrate the ruby.bbclass in use we have included a recipe to build the bundler gem. Bundler can be used on a running target to install gems from rubygems.org, which can be useful in itself when you don't have recipes available for gems but want to try installing and running pre-built gems. Signed-off-by: Mark Asselstine <mark.asselstine@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ruby: fix race conditions at install-extJackie Huang2014-08-132-0/+32
| | | | | | | | | * lib/mkmf.rb (create_makefile): fix race conditions at install-ext. target files need to depend on destination directory timestamp files, not phony trgets. Signed-off-by: Jackie Huang <jackie.huang@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ruby: fix a parallel building issueRoy Li2014-08-102-0/+38
| | | | | Signed-off-by: Roy Li <rongqing.li@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ruby: uprev it to 1.9.3-p547Roy Li2014-07-152-15/+2
| | | | | | | remove ruby-1.9.3-fix-s390x-build.patch, it has been merged into p547 Signed-off-by: Roy Li <rongqing.li@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ruby overwrites configuration files in ruby-nativeAmy Fong2014-06-101-5/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | ruby's install rule is calling install-cross, this overwrites files installed by ruby-native causing build failures with ruby apps, specifically where gems are involved, especially on hosts where there is no host ruby: (from sysroot-native's gem) gem env RubyGems Environment: - RUBYGEMS VERSION: 1.8.23 - RUBY VERSION: 1.9.3 (2012-04-20 patchlevel 194) [x86_64-linux] - INSTALLATION DIRECTORY: /usr/lib64/ruby/gems/1.9.1 - RUBY EXECUTABLE: /usr/bin/ruby - EXECUTABLE DIRECTORY: /usr/bin - RUBYGEMS PLATFORMS: - ruby - x86_64-linux - GEM PATHS: - /usr/lib64/ruby/gems/1.9.1 - /folk/afong/.gem/ruby/1.9.1 - GEM CONFIGURATION: - :update_sources => true - :verbose => true - :benchmark => false - :backtrace => false - :bulk_threshold => 1000 - REMOTE SOURCES: - http://rubygems.org/ Files affected - fake.rb, rbconfig.rb, config.h, win32.h and ruby libraries. We should be using the versions from ruby-native. Signed-off-by: Amy Fong <amy.fong@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ruby: add --enable-wide-getaddrinfo to whitelistMartin Jansa2014-05-051-0/+5
| | | | | | | * fixes: ruby-1.9.3-p429: ruby: configure was passed unrecognised options: --enable-wide-getaddrinfo Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ruby: remove obsolete extmk_run.patchMichaël Burtin2014-05-032-16/+0
| | | | | | | | This patch does nothing except causing failures from the second build in the same working directory. Signed-off-by: Michaël Burtin <mburtin@connected-labs.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ruby: find gems relative to its own locationChristopher Larson2013-12-051-1/+1
| | | | | | | | Rather than hardcoding ${datadir}/rubygems, we can let it find the gems relative to its own location, to make it relocatable. Signed-off-by: Christopher Larson <kergoth@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ruby: add dependency on db gdbm readlineMartin Jansa2013-07-302-4/+2
| | | | | | * to prevent using bunded versions Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ruby: add missing dependency on ruby-nativeMartin Jansa2013-07-081-1/+1
| | | | | | | | | | | | | | | | | * without ruby available on host it fails: | NOTE: make LIBRUBYARG=-lruby-static | CC = i586-starfish-linux-gcc -m32 -march=i586 --sysroot=/OE/sysroots/qemux86 | LD = i586-starfish-linux-ld --sysroot=/OE/sysroots/qemux86 | LDSHARED = i586-starfish-linux-gcc -m32 -march=i586 --sysroot=/OE/sysroots/qemux86 -shared | CFLAGS = -O2 -pipe -g -feliminate-unused-debug-types -fPIC | XCFLAGS = -include ruby/config.h -include ruby/missing.h -fvisibility=hidden -DRUBY_EXPORT | CPPFLAGS = -I. -I.ext/include/i386-linux -I./include -I. | DLDFLAGS = -Wl,-soname,libruby.so.1.9 | SOLIBS = -lpthread -lrt -ldl -lcrypt -lm | executable host ruby is required. use --with-baseruby option. | make: *** [.rbconfig.time] Error 1 Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ruby: Upgrade from 1.9.3-p194 -> 1.9.3-p429Khem Raj2013-06-294-61/+3
| | | | | | | | Old recipe was having do_install failures this fixes those too Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* README: show github mirror URL in layer dependenciesMartin Jansa2013-05-031-2/+2
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* meta-ruby: Fix subject-prefixMartin Jansa2013-04-261-2/+2
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* README: add -M to git send-email exampleMartin Jansa2013-04-261-1/+2
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* recipes: Unify indentationMartin Jansa2013-04-152-28/+28
| | | | | | | | | | | | | | | | | | | | | | | | | * This change is only aesthetic (unlike indentation in Python tasks). * Some recipes were using tabs. * Some were using 8 spaces. * Some were using mix or different number of spaces. * Make them consistently use 4 spaces everywhere. * Yocto styleguide advises to use tabs (but the only reason to keep tabs is the need to update a lot of recipes). Lately this advice was also merged into the styleguide on the OE wiki. * Using 4 spaces in both types of tasks is better because it's less error prone when someone is not sure if e.g. do_generate_toolchain_file() is Python or shell task and also allows to highlight every tab used in .bb, .inc, .bbappend, .bbclass as potentially bad (shouldn't be used for indenting of multiline variable assignments and cannot be used for Python tasks). * Don't indent closing quote on multiline variables we're quite inconsistent wheater it's first character on line under opening quote or under first non-whitespace character in previous line. Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Acked-by: Koen Kooi <koen@dominion.thruhere.net>
* ruby: update to 1.9.3-194Jackie Huang2012-12-2614-31/+781
| | | | | | | | | | I sent this to oe-core but was told that it's not the right place and was suggested to send here. Most of the 1.9.3 patches originate from ruby-1.9.3.194-10.1.fc17.src.rpm Signed-off-by: Jackie Huang <jackie.huang@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* ruby: Add from OE-ClassicJackie Huang2012-12-265-0/+109
| | | | | | | | * No modifications in this commit * MJ: PR reset, PRIORITY dropped, LICENSE fix, LIC_FILES_CHKSUMs added Signed-off-by: Jackie Huang <jackie.huang@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* meta-ruby: add empty layerMartin Jansa2012-12-263-0/+41
Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>